Bug 1366901 - virt-v2v from RHEL Xen: VM failed to be removed when disconnecting and connecting RHEV host to network.
Summary: virt-v2v from RHEL Xen: VM failed to be removed when disconnecting and connec...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.0.2.6
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.3.0
: ---
Assignee: bugs@ovirt.org
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-14 13:28 UTC by Nisim Simsolo
Modified: 2019-01-03 12:49 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-01-03 12:49:59 UTC
oVirt Team: Virt
mtessun: ovirt-4.3?
mtessun: planning_ack+
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
vdsm.log (329.45 KB, application/x-xz)
2016-08-14 13:35 UTC, Nisim Simsolo
no flags Details
engine.log (191.13 KB, application/x-xz)
2016-08-14 13:35 UTC, Nisim Simsolo
no flags Details
webadmin screenshot (222.83 KB, image/png)
2016-08-14 13:36 UTC, Nisim Simsolo
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1303548 None None None Never

Internal Links: 1303548

Description Nisim Simsolo 2016-08-14 13:28:52 UTC
Description of problem:
- During import process, if the host is disconnected from network and reconnected back, the imported VM failed to be removed and remains in "canceling" state.
- It is possible to remove this VM manually from webadmin.
- When doing the same scenario from VMware environment, issue does not occur.

Version-Release number of selected component (if applicable):
ovirt-engine-4.0.2.6-0.1.el7ev
libvirt-client-1.2.17-13.el7_2.5.x86_64
vdsm-4.18.11-1.el7ev.x86_64
qemu-kvm-rhev-2.3.0-31.el7_2.21.x86_64
sanlock-3.2.4-3.el7_2.x86_64

How reproducible:
Consistently

Steps to Reproduce:
1. Import VM from Xen environment.
2. When VM import starts to copy disks, disconnect RHEV host from the network.
3. Reconnect host to the network after 5 minutes.

Actual results:
deleteV2VJob started, but VM failed to get removed.

Expected results:
VM should be removed.

Additional info:
vdsm.log, engine.log and webadmin_screenshot attached.
VM ID: c68b402d-1c18-4d9c-97ee-7dad59f6796b
import job ID: 4235cea0-e706-af4f-c296-0346c347741e

Comment 1 Nisim Simsolo 2016-08-14 13:35:01 UTC
Created attachment 1190759 [details]
vdsm.log

Comment 2 Nisim Simsolo 2016-08-14 13:35:28 UTC
Created attachment 1190760 [details]
engine.log

Comment 3 Nisim Simsolo 2016-08-14 13:36:17 UTC
Created attachment 1190761 [details]
webadmin screenshot

Comment 4 Nisim Simsolo 2016-08-14 14:24:07 UTC
When restarting VDSM service during import process (copying disks phase), VM removed successfully.

Comment 5 Tomas Jelinek 2016-08-19 08:53:05 UTC
ok, it is a negative corner case which can be solved simply by deleting the disks from webadmin - pushing to 4.2

Comment 6 Martin Tessun 2018-07-06 13:17:25 UTC
I believe this one should be fixed. To me this is a Bug and not a feature.

Comment 7 Red Hat Bugzilla Rules Engine 2018-07-06 13:17:31 UTC
This request has been proposed for two releases. This is invalid flag usage. The ovirt-future release flag has been cleared. If you wish to change the release flag, you must clear one release flag and then set the other release flag to ?.

Comment 8 Ryan Barry 2019-01-03 12:49:59 UTC
This will not be addressed in a reasonable timeframe. Please re-open if it's still important.


Note You need to log in before you can comment on or make changes to this bug.